﻿using Syncfusion.UI.Xaml.Gauges;
using System;
using System.Windows;

namespace WPFCircularGauge
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public double PointerValue
        {
            get { return (double)GetValue(PointerValueProperty); }
            set { SetValue(PointerValueProperty, value); }
        }

        // Using a DependencyProperty as the backing store for PointerValue.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty PointerValueProperty =
            DependencyProperty.Register("PointerValue", typeof(double), typeof(MainWindow), new PropertyMetadata(0d));

        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = this;
            this.PointerValue = 70;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.PointerValue = new Random().Next(0, 140);
        }

        private void SfCircularGauge_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            foreach (var range in this.Gauge.Scales[0].Ranges)
            {
                range.StrokeThickness = e.NewSize.Width / 6;
            }
        }
    }
}
